<template>
    <div class="login-app">
        <div class="login-form">
            <div class="top-login">
                <img src="assets/profile.png " alt="">
                <h1> {{ name }}</h1>
            </div>

            <form class="form" method="POST" action="">
                <input class="submit-button" v-on:click="goTimer" type="button" value="Start tracking!">
              <!--  <input class="submit-button" v-on:click="goHistory" type="button" value="Worklog history"> -->
                <div class="logout">
                    <span>or</span>
                    <span v-on:click="goLogin" class="logout-label">logout</span>
                </div>
            </form>
        </div>
    </div>
</template>

<script>
    const {ipcRenderer} = window.require('electron')
    export default {
      data: function () {
        return {
          credentials: {},
          name: ''
        }
      },
      methods: {
        goLogin: function () {
          this.eraseCredentials()
          this.$router.push('login')
        },
        goTimer: function () {
          this.$router.push('timer')
        },
        goHistory: function () {
          this.$router.push('history')
        },
        eraseCredentials: function () {
          ipcRenderer.send('erase-credentials')
        }
      },
      created: function () {
        ipcRenderer.send('init-profile')
        ipcRenderer.on('initialize-profile', (event, arg) => {
          this.name = arg.displayName
        })
      },
      name: 'login-page'
    }

</script>

<style scoped lang="scss">
    @import url('https://fonts.googleapis.com/css?family=Dancing+Script');
    $roboto: 'Roboto', sans-serif;
    .login-app{
        overflow: hidden;
        height: 100vh;
        width: 100%;
        background: #fbfbfb;
        display:flex;
        align-items:center;

        .login-form{
            width: 100%;
            display: flex;
            flex-direction: column;
            padding: 0 60px;
            .top-login{
                text-align: center;
                img{
                    width: 150px;

                }
                h1{
               //     font-family: 'Dancing Script', cursive;
                    color:#888;
                    text-align: center;
                    font-size: 18px;
                }
            }
            .form{

                text-align: center;

                .logout{
                    margin-top: 10px;
                }
            
                input[type="button"]{
                    /*max-width: 150px;*/
                    width: 100%;
                    margin: 10px auto;
                    display: flex;
                    justify-content: center;
                    color:white;
                    width: 100%;
                    height: 35px;
                    border: none;
                    background: lighten(#ec4f33,10%);
                    border-radius: 5px;
                    transition:all .3s;
                    cursor:pointer;
                    &:hover{
                        background:lighten(#ec4f33,13%);
                        transition:all .3s;
                    }
                }
                span{
                    font-size: 13px;
                }
                .logout-label{
                    color:#888;
                    cursor: pointer;
                }
            }

        }
    }
</style>
